BELOW_THRESHOLD_BALANCE
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Conditions
When eventType is set to BELOW_THRESHOLD_BALANCE, the available condition object fields are listed below.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
address | String | true | Target address for balance alerts. | "0x3DC16F9F7fD2F5a17A9602650880255f01edC733" |
belowThresholdBalance | String | true | The threshold value to monitor. A notification is sent when the balance falls below this value. | "100000000000000000" |
The balance of the address is checked every minute. If the actual balance is lower than the value set in belowThresholdBalance at the time of each check, an alert is sent. Alerts continue to be sent as long as the balance remains below the threshold at each check interval.
Response Example
subscription_connected The user(8350954814192461336) is connected.
registered messageId: 123,
subscriptionId: 5089
subscription Event : subscriptionId: 5089,
eventType: BELOW_THRESHOLD_BALANCE,
event: {
"message": {
"type": "belowThresholdBalance",
"address": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
"threshold": "6750000000000000000"
}
}